Write full element tag

- « XMLWriter::writeDtdEntity

- XMLWriter::writeElementNs »

- PHP Manual
- XMLWriter
- Write full element tag

# XMLWriter::writeElement

# xmlwriter_write_element

(PHP 5 >= 5.1.2, PHP 7, PHP 8, PECL xmlwriter >= 0.1.0)

XMLWriter::writeElement -- xmlwriter_write_element — Write full element tag

### Description

Object-oriented style

public XMLWriter::writeElement(string `$name`, ?string `$content` = `null`): bool

Procedural style

xmlwriter_write_element(XMLWriter `$writer`, string `$name`, ?string `$content` = `null`): bool

Writes a full element tag.

### Parameters

`writer`

  Only for procedural calls. The XMLWriter instance that is being modified. This object is returned from a call to xmlwriter_open_uri() or xmlwriter_open_memory().

`name`

  The element name.

`content`

  The element contents.

### Return Values

Returns `true` on success or `false` on failure.

### Changelog

Version | Description
--- | ---
8.0.0 | `writer` expects an XMLWriter instance now; previously, a resource was expected.

### See Also

- XMLWriter::startElement() - Create start element tag
- XMLWriter::endElement() - End current element
- XMLWriter::writeElementNs() - Write full namespaced element tag